require("util")

local thing = data.raw.technology.optics

if not thing.effects then thing.effects = {} end
table.insert(thing.effects, {type = "unlock-recipe", recipe = "security-camera" })

thing = util.table.deepcopy(data.raw.radar.radar)

thing.max_health = 50

thing.name="security-camera"
thing.icon="__security-camera__/graphics/icon.png"
thing.minable.result = "security-camera"

thing.energy_per_sector = "800kJ"
thing.max_distance_of_sector_revealed = 0
thing.max_distance_of_nearby_sector_revealed = 0
thing.energy_per_nearby_scan = "19kW"
thing.energy_usage = "20kW"

thing.corpse = "medium-remnants"
thing.collision_box = {{-0.65, -0.65}, {0.65, 0.65}}
thing.selection_box = {{-0.8, -1.6}, {0.8, 0.8}}

thing.minable.mining_time = .4

thing.pictures = {
      filename = "__security-camera__/graphics/camera.png",
      priority = "low",
      width = 64,
      height = 72,
      axially_symmetrical = false,
      apply_projection = false,
      direction_count = 1,
      line_length = 8,
      shift = {0,-0.375}
}
thing.has_backer_name = false
thing.working_sound = nil

--error(serpent.block(thing))

data:extend{
  thing,
  { type = "item", name = "security-camera",
    icon = "__security-camera__/graphics/icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "d[camera]-a[security-camera]",
	place_result = "security-camera",
    stack_size = 50
  },
  { type = "recipe", name = "security-camera",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"red-wire", 2},
      {"green-wire", 2},
      {"iron-plate", 1}
    },
    result = "security-camera"
  },
}